
import request from "../../request";
import { AxiosPromise } from "axios";
import { AddressAddRequest,StatusReply,AddressItem,IdentRequest,FetchRequest,AddressListReply,AddressDelRequest } from "./types";



 //  新增地址 
export function Add(data: AddressAddRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/address.Method.Add",
      method: "post",
      data: data,
	});
}


 //  修改地址 
export function Set(data: AddressItem): AxiosPromise<StatusReply> {
    return request({
      url: "/address.Method.Set",
      method: "post",
      data: data,
	});
}


 //  获取一条地址 
export function Get(data: IdentRequest): AxiosPromise<AddressItem> {
    return request({
      url: "/address.Method.Get",
      method: "post",
      data: data,
	});
}


 //  获取地址列表 
export function List(data: FetchRequest): AxiosPromise<AddressListReply> {
    return request({
      url: "/address.Method.List",
      method: "post",
      data: data,
	});
}


 //  删除一个地址 
export function Del(data: AddressDelRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/address.Method.Del",
      method: "post",
      data: data,
	});
}
