

export interface AddressItem {
    id?: number;  //  ID 
    phone?: string;  //  手机号 
    country?: string;  //  国家 
    province?: string;  //  省 
    city?: string;  //  市 
    area?: string;  //  区 
    detail?: string;  //  详情地址 
    contact?: string;  //  联系人 
    status?: number;  //  状态 -1为删除，1为正常，2为设置成默认 
}


export interface AddressAddRequest {
    phone?: string;  //  手机号 
    country?: string;  //  国家 
    province?: string;  //  省 
    city?: string;  //  市 
    area?: string;  //  区 
    detail?: string;  //  详情地址 
    contact?: string;  //  联系人 
    status?: number;  //  状态 -1为删除，1为正常，2为设置成默认 
}


export interface FetchRequest {
    page_no?: number;  //  页数 
    page_size?: number;  //  每页记录数 
    params?: { [key in string]: any};  //  条件参数,key=val,eg key:category_id=?,vlaue=11  
}


export interface IdentRequest {
    id?: number;  //  唯一ID 
    identity?: string;  //  唯一码 
}


export interface StatusReply {
    status?: number;  //  状态码 
    identity?: string;  //  标识码 
    message?: string;  // 状态说明 
    timeseq?: number;  //  响应时间序列 
}


export interface AddressListReply {
    data?: AddressItem[];  //  地址列表 
}


export interface AddressDelRequest {
    id?: number[];  //  ID 
}