
import request from "../../request";
import { AxiosPromise } from "axios";
import { ListRequest,ListResponse,DirTreeRequest,DirTreeResponse,DownloadRequest,MakeRequest,MakeResponse,RenameRequest,Empty,RemoveRequest,MoveRequest,CopyRequest,ShareRequest,ShareResponse,ParseShareRequest,ParseShareResponse } from "./types";



 //  本级目录列表 
export function List(data: ListRequest): AxiosPromise<ListResponse> {
    return request({
      url: "/cloud.Method.List",
      method: "post",
      data: data,
	});
}


 //  目录树 
export function DirTree(data: DirTreeRequest): AxiosPromise<DirTreeResponse> {
    return request({
      url: "/cloud.Method.DirTree",
      method: "post",
      data: data,
	});
}


 //  本级及子级递归列表 
export function Download(data: DownloadRequest): AxiosPromise<ListResponse> {
    return request({
      url: "/cloud.Method.Download",
      method: "post",
      data: data,
	});
}


 //  创建文件/文件夹 
export function Make(data: MakeRequest): AxiosPromise<MakeResponse> {
    return request({
      url: "/cloud.Method.Make",
      method: "post",
      data: data,
	});
}


 //  修改文件/文件夹名称 
export function Rename(data: RenameRequest): AxiosPromise<Empty> {
    return request({
      url: "/cloud.Method.Rename",
      method: "post",
      data: data,
	});
}


 //   移除文件/文件夹及其子级递归列表 
export function Remove(data: RemoveRequest): AxiosPromise<Empty> {
    return request({
      url: "/cloud.Method.Remove",
      method: "post",
      data: data,
	});
}


 //  移动文件/文件夹及其子级递归列表 
export function Move(data: MoveRequest): AxiosPromise<Empty> {
    return request({
      url: "/cloud.Method.Move",
      method: "post",
      data: data,
	});
}


 //  复制文件/文件夹及其子级递归列表 
export function Copy(data: CopyRequest): AxiosPromise<Empty> {
    return request({
      url: "/cloud.Method.Copy",
      method: "post",
      data: data,
	});
}


 //  分享文件/文件夹及其子级递归列表 
export function Share(data: ShareRequest): AxiosPromise<ShareResponse> {
    return request({
      url: "/cloud.Method.Share",
      method: "post",
      data: data,
	});
}


 //  解析分享内容 
export function ParseShare(data: ParseShareRequest): AxiosPromise<ParseShareResponse> {
    return request({
      url: "/cloud.Method.ParseShare",
      method: "post",
      data: data,
	});
}
