

export interface Empty {

}

 //  authorization_identity 用户识别identity 由上下文传递   user_identity 用于鉴权 
export interface ListRequest {
    identity?: string;  //  文件夹唯一标识,获取顶级的不传 
    name?: string;  // 根据文件名称模糊查找,当该字段不为空时identity的限定失效 
}


export interface ListResponse {
    list?: UserFile[]; 
}


export interface DirTreeRequest {
    identity?: string;  //  文件夹唯一标识,获取顶级的不传 
}


export interface DirTreeResponse {
    list?: UserFile[];  //  只返回文件夹 
}


export interface DownloadRequest {
    list?: string[];  //  identity列表,必传 
}


export interface UserFile {
    identity?: string;  // 唯一标识 
    name?: string;  // 文件/文件夹名称 
    ext?: string;  // 后缀,文件夹时为空 
    parent?: string[];  //  父级文件夹序列,按文件名称查询时候生效 
    file?: File;  // 文件信息 
    created_at?: string; 
    updated_at?: string; 
    children?: UserFile[];  // 子文件夹 
}


export interface File {
    identity?: string;  // 唯一标识 
    path?: string;  // 文件路径 
    size?: number;  //  文件大小,单位:B 
}


export interface MakeRequest {
    name?: string;  // 文件/文件夹名称,必传 
    ext?: string;  // 后缀,文件夹传空即可 
    parent_identity?: string;  //  父文件夹标识,选填 
    size?: number;  //  文件大小,非文件夹时必传,单位:B 
    hash?: string;  //  文件hash值,非文件夹时必传 
    path?: string;  //  文件地址,非文件夹时必传 
}


export interface MakeResponse {
    identity?: string; 
}

 //  同级下,名称必须唯一 
export interface RenameRequest {
    identity?: string;  // 必传 
    name?: string;  // 文件/文件夹名称,必传 
    ext?: string;  // 后缀,文件夹传空即可 
}


export interface RemoveRequest {
    list?: string[];  //  identity列表 
}


export interface MoveRequest {
    list?: string[];  //  identity列表 
    target_identity?: string;  //  目标文件夹标识,如果是顶级则不填 
}


export interface CopyRequest {
    list?: string[];  //  identity列表 
    target_identity?: string;  //  目标文件夹标识,如果是顶级则不填 
}


export interface ShareRequest {
    list?: string[];  //  identity列表 
    days?: number;  //  有效天数,默认永久 
}


export interface ShareResponse {
    key?: string;  //  解析分享内容关键key 
}


export interface ParseShareRequest {
    key?: string;  //  解析分享内容关键key 
}


export interface ParseShareResponse {
    list?: UserFile[]; 
}