
import request from "../../request";
import { AxiosPromise } from "axios";
import { CompanyListRequest,CompanyListReply,Identity,CompanyItem,DeliveryAddressListRequest,DeliveryAddressListReply,DeliveryAddressItem,Empty,CollectionInformationItem } from "./types";




export function List(data: CompanyListRequest): AxiosPromise<CompanyListReply> {
    return request({
      url: "/company.Company.List",
      method: "post",
      data: data,
	});
}



export function Get(data: Identity): AxiosPromise<CompanyItem> {
    return request({
      url: "/company.Company.Get",
      method: "post",
      data: data,
	});
}



export function Modify(data: CompanyItem): AxiosPromise<Identity> {
    return request({
      url: "/company.Company.Modify",
      method: "post",
      data: data,
	});
}



export function DeliveryAddressList(data: DeliveryAddressListRequest): AxiosPromise<DeliveryAddressListReply> {
    return request({
      url: "/company.Company.DeliveryAddressList",
      method: "post",
      data: data,
	});
}



export function DeliveryAddressModify(data: DeliveryAddressItem): AxiosPromise<Identity> {
    return request({
      url: "/company.Company.DeliveryAddressModify",
      method: "post",
      data: data,
	});
}



export function DeliveryAddressDelete(data: Identity): AxiosPromise<Empty> {
    return request({
      url: "/company.Company.DeliveryAddressDelete",
      method: "post",
      data: data,
	});
}



export function CollectionInformation(data: Identity): AxiosPromise<CollectionInformationItem> {
    return request({
      url: "/company.Company.CollectionInformation",
      method: "post",
      data: data,
	});
}



export function CollectionInformationModify(data: CollectionInformationItem): AxiosPromise<Identity> {
    return request({
      url: "/company.Company.CollectionInformationModify",
      method: "post",
      data: data,
	});
}
