
import request from "../../request";
import { AxiosPromise } from "axios";
import { StaffListRequest,StaffListReply,StaffItem,Identity,Empty,StaffCompanyRequest } from "./types";




export function List(data: StaffListRequest): AxiosPromise<StaffListReply> {
    return request({
      url: "/company.Staff.List",
      method: "post",
      data: data,
	});
}



export function Modify(data: StaffItem): AxiosPromise<Identity> {
    return request({
      url: "/company.Staff.Modify",
      method: "post",
      data: data,
	});
}



export function Delete(data: Identity): AxiosPromise<Empty> {
    return request({
      url: "/company.Staff.Delete",
      method: "post",
      data: data,
	});
}


 //  修改关联关系 
export function StaffCompany(data: StaffCompanyRequest): AxiosPromise<Empty> {
    return request({
      url: "/company.Staff.StaffCompany",
      method: "post",
      data: data,
	});
}



export function StaffCompanyChangeStatus(data: StaffCompanyRequest): AxiosPromise<Empty> {
    return request({
      url: "/company.Staff.StaffCompanyChangeStatus",
      method: "post",
      data: data,
	});
}
