

export interface ListRequest {
    page?: number;  //  页码,默认第一页 
    size?: number;  //  单页显示数量,默认10,最多50 
    user_identity?: string;  // 用户唯一`标识,可选 
    username?: string;  //  用户名称,可选 
    status?: number;  //  条目状态,可选,默认0,全部查找 
    type?: number;  // 业务类型: 1,意见/2,反馈/3,申述等,默认0 调用方传 
}


export interface ListReply {
    count?: number; 
    list?: FeedbackItem[]; 
}


export interface FeedbackItem {
    identity?: string; 
    user_identity?: string; 
    username?: string; 
    status?: number;  // 状态,1未处理,2已处理,也可以调用方自行设置,如果未设置则默认是1 
    created_at?: string; 
    updated_at?: string; 
    title?: string; 
    content?: string; 
    images?: FeedbackImage[]; 
    remark?: string;  // 反馈信息 
    type?: number; 
}


export interface FeedbackImage {
    identity?: string; 
    item_identity?: string; 
    url?: string; 
}


export interface GetRequest {
    identity?: string; 
}


export interface GetReply {
    record?: FeedbackItem; 
    exists?: boolean; 
}


export interface AddRequest {
    user_identity?: string; 
    username?: string; 
    status?: number;  // 状态,1未处理,2已处理,也可以调用方自行设置,如果未设置则默认是1 
    title?: string; 
    content?: string; 
    images?: FeedbackImage[]; 
    type?: number; 
}


export interface AddReply {
    identity?: string; 
}


export interface ModifyRequest {
    identity?: string; 
    user_identity?: string; 
    username?: string; 
    status?: number;  // 状态,1未处理,2已处理,也可以调用方自行设置,如果未设置则默认是1 
    title?: string; 
    content?: string; 
    images?: FeedbackImage[]; 
    type?: number; 
}


export interface ModifyReply {

}


export interface DeleteRequest {
    identity?: string; 
}


export interface DeleteReply {

}


export interface RemarkRequest {
    identity?: string; 
    remark?: string; 
    status?: number; 
}


export interface RemarkReply {

}