
import request from "../../request";
import { AxiosPromise } from "axios";
import { Empty,StoreListReply,UniqueIndex,CategoryReply,RecommendRequest,RecommendReply,ListRequest,ListReply,SearchRequest,GetRequest,GetReply,CommentListRequest,CommentListReply } from "./types";



 //  店铺列表 
export function List(data: Empty): AxiosPromise<StoreListReply> {
    return request({
      url: "/mall.Store.List",
      method: "post",
      data: data,
	});
}


 //  获取所有分类数据 
export function Category(data: UniqueIndex): AxiosPromise<CategoryReply> {
    return request({
      url: "/mall.Store.Category",
      method: "post",
      data: data,
	});
}


 //  推荐商品 
export function Recommend(data: RecommendRequest): AxiosPromise<RecommendReply> {
    return request({
      url: "/mall.Store.Recommend",
      method: "post",
      data: data,
	});
}


 //  商品列表 
export function ProductList(data: ListRequest): AxiosPromise<ListReply> {
    return request({
      url: "/mall.Store.ProductList",
      method: "post",
      data: data,
	});
}


 //  商品搜索 
export function Search(data: SearchRequest): AxiosPromise<ListReply> {
    return request({
      url: "/mall.Store.Search",
      method: "post",
      data: data,
	});
}


 //  商品详情 
export function ProductGet(data: GetRequest): AxiosPromise<GetReply> {
    return request({
      url: "/mall.Store.ProductGet",
      method: "post",
      data: data,
	});
}


 //  评论列表 
export function CommentList(data: CommentListRequest): AxiosPromise<CommentListReply> {
    return request({
      url: "/mall.Store.CommentList",
      method: "post",
      data: data,
	});
}
