

export interface Empty {

}


export interface StoreListReply {
    data?: StoreBasic[]; 
}


export interface StoreBasic {
    id?: number; 
    key?: string;  // 店铺唯一KEY 
    title?: string;  //  标题 
    intro?: string;  //  描述说明 
    template?: string;  //  模板 
    configs?: string;  //  配置说明 
    created_at?: string;  // 创建时间 
}

 //  店铺唯一KEY 
export interface UniqueIndex {
    store_key?: string;  // 店铺唯一KEY 
}

 //  产品分类数据列表 
export interface CategoryReply {
    data?: CategoryItem[]; 
}


export interface CategoryItem {
    id?: number;  // ID 
    title?: string;  // 名称 
    en_title?: string;  // 英文名称 
    keys?: string;  // 关键词 
    parent_id?: number;  // 上级ID 
    paths?: string;  // 路径 
    intro?: string;  // 简介 
    icon?: string;  // 图标 
    sort?: number;  // 排序 
}


export interface RecommendRequest {
    store_key?: string;  // 店铺唯一KEY 
    code?: number;  // 推荐状态码 
    number?: number;  // 数量 
}


export interface RecommendReply {
    data?: ProductItem[];  // 推荐商品列表 
}


export interface ListRequest {
    store_key?: string;  // 店铺唯一KEY 
    category_id?: number;  // 分类ID 
    page?: number;  //  当前页数,默认第一页,取值1~50 页 
    size?: number;  //  每页显示条数,默认10条,取值1~50 条/每次 
}


export interface SearchRequest {
    store_key?: string;  // 店铺唯一KEY 
    category_id?: number;  // 分类ID 
    keyword?: string;  // 关键字 
    page?: number;  //  当前页数,默认第一页,取值1~50 页 
    size?: number;  //  每页显示条数,默认10条,取值1~50 条/每次 
}


export interface ListReply {
    count?: number;  //  课程数量 
    data?: ProductItem[];  // 商品数据列表 
}


export interface ProductItem {
    id?: number;  // 商品ID 
    identity?: string;  // 商品唯一码 
    supply_id?: number;  // 供应商ID 
    types?: number;  // 商品类型:Product=1 实体商品,Service=2 服务,Membership=3 会员服务,Other=4 其它 
    category_id?: number;  // 分类ID 
    category_paths?: string;  // 分类路径 
    title?: string;  // 商品标题 
    sub_title?: string;  // 商品标题 
    keyword?: string;  // 商品关键字 
    cover_image?: string;  // 商品封面图片 
    stock?: number;  // 库存 
    sales_price?: number;  // 销售价 
    content?: string;  // 商品详情 
    args?: string;  // 商品相关参数JSON 
    star?: number;  // 商品星级 
    comment_total?: number;  // 评论总数 
    sale_total?: number;  // 销售总数 
    view_total?: number;  // 查看总数 
    image_total?: number;  // 图片总数 
    recommend?: number;  // 推荐码：0不推荐，1推荐的状态 
    sort?: number;  // 排序 
    status?: number;  // 状态(0未上架，1上架) 
}


export interface GetRequest {
    identity?: string;  // 商品唯一码 
    store_key?: string;  // 店铺唯一KEY 
}


export interface GetReply {
    detail?: ProductItem;  // 商品详情数据 
    attr?: AttrItem[];  // 商品属性数据 
    photos?: PhotosItem[];  // 商品相册数据 
}


export interface AttrItem {
    id?: number;  // 属性ID 
    name?: string;  // 属性名称 
    parent_id?: number;  // 上级ID 
    value?: string;  // 属性值 
}


export interface PhotosItem {
    id?: number;  // 相册ID 
    name?: string;  // 相册名称 
    url?: string;  // URL 
    sort?: number;  // 排序 
}


export interface CommentItem {
    id?: number;  // ID 
    created?: string;  // 创建时间 
    passport_id?: number;  // 评论人ID 
    passport_identity?: string;  // 用户名称 
    nickname?: string;  // 用户名称 
    score?: number;  // 评分 
    comment?: string;  // 评论正文 
    reply?: string;  // 回复正文 
}


export interface CommentListRequest {
    product_identity?: string;  // 商品Identity 
    page?: number;  //  当前页数,默认第一页,取值1~50 页 
    size?: number;  //  每页显示条数,默认10条,取值1~50 条/每次 
}


export interface CommentListReply {
    count?: number;  //  课程数量 
    data?: CommentItem[];  // 评论列表 
}