
import request from "../../request";
import { AxiosPromise } from "axios";
import { CartGetRequest,CartGetReply,CartAddRequest,StatusReply,CartSetRequest,CartDelRequest } from "./types";



 //  获取购物车的商品数据 
export function Get(data: CartGetRequest): AxiosPromise<CartGetReply> {
    return request({
      url: "/order.Cart.Get",
      method: "post",
      data: data,
	});
}


 //  将商品增加至购物车 
export function Add(data: CartAddRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Cart.Add",
      method: "post",
      data: data,
	});
}


 //  修改购物车中的商品数量 
export function Set(data: CartSetRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Cart.Set",
      method: "post",
      data: data,
	});
}


 //  删除购物车中的商品 
export function Del(data: CartDelRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Cart.Del",
      method: "post",
      data: data,
	});
}
