
import request from "../../request";
import { AxiosPromise } from "axios";
import { QuickCreateByTokenRequest,StatusReply,SubmitRequest,Empty,IdentRequest,SummaryGetReply,SummaryListRequest,SummaryListReply,ConfirmRequest,ConfirmReply,CancelRequest } from "./types";



 //  基于Token快速创建一个订单 
export function QuickCreateByToken(data: QuickCreateByTokenRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Summary.QuickCreateByToken",
      method: "post",
      data: data,
	});
}


 //  将购物车的数据提交生成订单 
export function Submit(data: SubmitRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Summary.Submit",
      method: "post",
      data: data,
	});
}


 //  检测是否有未确认及付款的订单 
export function Check(data: Empty): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Summary.Check",
      method: "post",
      data: data,
	});
}


 //  获取一个订单的详情数据 
export function Get(data: IdentRequest): AxiosPromise<SummaryGetReply> {
    return request({
      url: "/order.Summary.Get",
      method: "post",
      data: data,
	});
}


 //  根据不同的类型获取我的订单列表 类型:  All:全部  Unpaid:未付款  Paid:已付款  NotDelivered:未发货  Delivered:已发货  NotComment:待评论 
export function List(data: SummaryListRequest): AxiosPromise<SummaryListReply> {
    return request({
      url: "/order.Summary.List",
      method: "post",
      data: data,
	});
}


 //  确认订单，物流，优惠卷等其它信息 
export function Confirm(data: ConfirmRequest): AxiosPromise<ConfirmReply> {
    return request({
      url: "/order.Summary.Confirm",
      method: "post",
      data: data,
	});
}


 //  取消订单 
export function Cancel(data: CancelRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/order.Summary.Cancel",
      method: "post",
      data: data,
	});
}
