
import request from "../../request";
import { AxiosPromise } from "axios";
import { CompanyListRequest,CompanyListReply,Identity,CompanyItem,DeliveryAddressListRequest,DeliveryAddressListReply,DeliveryAddressItem,Empty,CollectionInformationItem,LoginRequest,LoginReply,RegisterRequest,RegisterReply,ChangeChoicedCompanyRequest,ChangeChoicedCompanyReply,CheckPhoneOrAccountExistsRequest,CheckPhoneOrAccountExistsReply,ForgetPasswordRequest,ForgetPasswordReply,ResetPasswordRequest,ResetPasswordReply,InvitationCreateReqest,InvitationCreateReply,InvitationInformationRequest,InvitationInformationReply,InvitationJoinRequest,InvitationJoinReply,InvitationJoinConfirmedRequest } from "./types";




export function List(data: CompanyListRequest): AxiosPromise<CompanyListReply> {
    return request({
      url: "/org.Org.List",
      method: "post",
      data: data,
	});
}



export function Get(data: Identity): AxiosPromise<CompanyItem> {
    return request({
      url: "/org.Org.Get",
      method: "post",
      data: data,
	});
}


 //  Add 企业代为创建企业  
export function Add(data: CompanyItem): AxiosPromise<Identity> {
    return request({
      url: "/org.Org.Add",
      method: "post",
      data: data,
	});
}



export function Modify(data: CompanyItem): AxiosPromise<Identity> {
    return request({
      url: "/org.Org.Modify",
      method: "post",
      data: data,
	});
}



export function DeliveryAddressList(data: DeliveryAddressListRequest): AxiosPromise<DeliveryAddressListReply> {
    return request({
      url: "/org.Org.DeliveryAddressList",
      method: "post",
      data: data,
	});
}



export function DeliveryAddressModify(data: DeliveryAddressItem): AxiosPromise<Identity> {
    return request({
      url: "/org.Org.DeliveryAddressModify",
      method: "post",
      data: data,
	});
}



export function DeliveryAddressDelete(data: Identity): AxiosPromise<Empty> {
    return request({
      url: "/org.Org.DeliveryAddressDelete",
      method: "post",
      data: data,
	});
}



export function CollectionInformation(data: Empty): AxiosPromise<CollectionInformationItem> {
    return request({
      url: "/org.Org.CollectionInformation",
      method: "post",
      data: data,
	});
}



export function CollectionInformationModify(data: CollectionInformationItem): AxiosPromise<Identity> {
    return request({
      url: "/org.Org.CollectionInformationModify",
      method: "post",
      data: data,
	});
}



export function Login(data: LoginRequest): AxiosPromise<LoginReply> {
    return request({
      url: "/org.Org.Login",
      method: "post",
      data: data,
	});
}



export function Register(data: RegisterRequest): AxiosPromise<RegisterReply> {
    return request({
      url: "/org.Org.Register",
      method: "post",
      data: data,
	});
}


 //  ChangeChoicedCompany 切换登录企业 
export function ChangeChoicedCompany(data: ChangeChoicedCompanyRequest): AxiosPromise<ChangeChoicedCompanyReply> {
    return request({
      url: "/org.Org.ChangeChoicedCompany",
      method: "post",
      data: data,
	});
}


 //  CheckPhoneOrAccountExists 检查phone/account 是否已注册过 
export function CheckPhoneOrAccountExists(data: CheckPhoneOrAccountExistsRequest): AxiosPromise<CheckPhoneOrAccountExistsReply> {
    return request({
      url: "/org.Org.CheckPhoneOrAccountExists",
      method: "post",
      data: data,
	});
}


 //  ForgetPassword 忘记密码 
export function ForgetPassword(data: ForgetPasswordRequest): AxiosPromise<ForgetPasswordReply> {
    return request({
      url: "/org.Org.ForgetPassword",
      method: "post",
      data: data,
	});
}


 //  ResetPassword 重置密码 
export function ResetPassword(data: ResetPasswordRequest): AxiosPromise<ResetPasswordReply> {
    return request({
      url: "/org.Org.ResetPassword",
      method: "post",
      data: data,
	});
}


 //  InvitationCreate 创建邀请 
export function InvitationCreate(data: InvitationCreateReqest): AxiosPromise<InvitationCreateReply> {
    return request({
      url: "/org.Org.InvitationCreate",
      method: "post",
      data: data,
	});
}


 //  InvitationInformation 邀请信息 
export function InvitationInformation(data: InvitationInformationRequest): AxiosPromise<InvitationInformationReply> {
    return request({
      url: "/org.Org.InvitationInformation",
      method: "post",
      data: data,
	});
}


 //  InvitationJoin 接收邀请 
export function InvitationJoin(data: InvitationJoinRequest): AxiosPromise<InvitationJoinReply> {
    return request({
      url: "/org.Org.InvitationJoin",
      method: "post",
      data: data,
	});
}


 //  InvitationJoinConfirmed 公司邀请确认 
export function InvitationJoinConfirmed(data: InvitationJoinConfirmedRequest): AxiosPromise<Empty> {
    return request({
      url: "/org.Org.InvitationJoinConfirmed",
      method: "post",
      data: data,
	});
}
