
import request from "../../request";
import { AxiosPromise } from "axios";
import { StaffListRequest,StaffListReply,StaffItem,Identity,Empty,StaffCompanyChangeStatusRequest,StaffCompanyChangeRoleRequest,SetProfileRequest,SetAccountRequest } from "./types";




export function List(data: StaffListRequest): AxiosPromise<StaffListReply> {
    return request({
      url: "/org.Staff.List",
      method: "post",
      data: data,
	});
}



export function Add(data: StaffItem): AxiosPromise<Identity> {
    return request({
      url: "/org.Staff.Add",
      method: "post",
      data: data,
	});
}



export function Modify(data: StaffItem): AxiosPromise<Identity> {
    return request({
      url: "/org.Staff.Modify",
      method: "post",
      data: data,
	});
}



export function Delete(data: Identity): AxiosPromise<Empty> {
    return request({
      url: "/org.Staff.Delete",
      method: "post",
      data: data,
	});
}



export function StaffCompanyChangeStatus(data: StaffCompanyChangeStatusRequest): AxiosPromise<Empty> {
    return request({
      url: "/org.Staff.StaffCompanyChangeStatus",
      method: "post",
      data: data,
	});
}



export function StaffCompanyChangeRole(data: StaffCompanyChangeRoleRequest): AxiosPromise<Empty> {
    return request({
      url: "/org.Staff.StaffCompanyChangeRole",
      method: "post",
      data: data,
	});
}


 //  GetProfile 获取个人信息 
export function GetProfile(data: Empty): AxiosPromise<StaffItem> {
    return request({
      url: "/org.Staff.GetProfile",
      method: "post",
      data: data,
	});
}


 //  SetProfile 设置个人信息 
export function SetProfile(data: SetProfileRequest): AxiosPromise<Empty> {
    return request({
      url: "/org.Staff.SetProfile",
      method: "post",
      data: data,
	});
}


 //  SetAccount 设置账号密码 
export function SetAccount(data: SetAccountRequest): AxiosPromise<Empty> {
    return request({
      url: "/org.Staff.SetAccount",
      method: "post",
      data: data,
	});
}
