

export interface Identity {
    identity?: string; 
}


export interface Empty {

}


export interface InvitationCreateReqest {
    genre?: number;  //  类型: 1 员工邀请, 2 企业邀请 
    role?: number;  //  员工邀请时有效: 1 工作人员 2 管理员 
    company_genre?: number;  // 企业邀请时有效: 1 供货企业 2 分销企业 
}


export interface InvitationJoinConfirmedRequest {
    identity?: string; 
    name?: string; 
    unicode?: string; 
}


export interface InvitationJoinReply {
    companys?: InvitationJoinReplyItem[];  //  当公司邀请时,返回关联的可用的公司列表信息 
    token?: string; 
}


export interface InvitationJoinReplyItem {
    identity?: string; 
    name?: string; 
    logo?: string;  //  企业Logo 
    profile?: string;  //  企业头像  
    genre?: number;  //  角色类型: 1 工作人员, 2 管理人员 
    unicode?: string; 
}


export interface InvitationJoinRequest {
    request_id?: string; 
    name?: string; 
    phone?: string; 
    verify_code?: string; 
}


export interface InvitationInformationRequest {
    request_id?: string; 
}


export interface InvitationInformationReply {
    genre?: number;  //  类型: 1 员工邀请, 2 企业邀请 
    creator_name?: string; 
    company_name?: string; 
    company_genre?: number;  // 企业邀请时有效: 1 供货企业 2 分销企业 
}


export interface InvitationCreateReply {
    request_id?: string; 
}


export interface ResetPasswordRequest {
    account?: string; 
    password?: string; 
    password_conformed?: string; 
}


export interface ResetPasswordReply {

}


export interface ForgetPasswordRequest {
    phone?: string; 
    verify_code?: string; 
}


export interface ForgetPasswordReply {
    token?: string; 
    account?: string;  //  表示账号是否为空 
}


export interface CheckPhoneOrAccountExistsRequest {
    phone?: string; 
    account?: string; 
}


export interface CheckPhoneOrAccountExistsReply {
    exists?: boolean; 
}


export interface ChangeChoicedCompanyRequest {
    company_identity?: string; 
}


export interface ChangeChoicedCompanyReply {
    token?: string; 
}


export interface LoginRequest {
    account?: string; 
    password?: string; 
    phone?: string; 
    verify_code?: string; 
    login_genre?: number;  //  登陆类型: 1 账密; 2 手机验证码 
}


export interface LoginReply {
    token?: string; 
    identity?: string; 
    list?: LoginReplyCompanyItem[]; 
    has_choiced_company_identity?: string; 
    name?: string; 
    account?: string; 
    status?: number; 
    created_at?: string; 
}


export interface LoginReplyCompanyItem {
    identity?: string; 
    name?: string; 
    logo?: string;  //  企业Logo 
    profile?: string;  //  企业头像  
    genre?: number;  //  角色类型: 1 工作人员, 2 管理人员 
}


export interface RegisterRequest {
    name?: string; 
    phone?: string; 
    verify_code?: string; 
    account?: string; 
    password?: string; 
    password_confirmed?: string; 
}


export interface RegisterReply {
    token?: string; 
    identity?: string; 
    name?: string; 
    account?: string; 
}


export interface CompanyListRequest {
    page_no?: number;  //  页数 
    page_size?: number;  //  每页记录数 
    name?: string;  //  企业名称 
    status?: number;  //  认证状态: 1 已注册、2 已认证 
    relation_genre?: number;  //  关联关系类型: 1 供货企业、2 分销企业、 
    relation_status?: number;  //  关联关系状态 
    registered_start_at?: string;  //  注册时间-开始,格式:2006-01-02 15:04:05 
    registered_end_at?: string;  //  注册时间-结束格式:2006-01-02 15:04:05 
    with_statistics?: boolean;  //  是否需要查询统计信息 
}


export interface CompanyListReply {
    list?: CompanyItem[]; 
    count?: number; 
    statistics?: CompanyStatisticsData; 
}


export interface CompanyItem {
    id?: number; 
    identity?: string; 
    name?: string;  //  企业名称 
    unicode?: string;  //  信用代码 
    logo?: string;  //  企业Logo 
    profile?: string;  //  企业头像 
    genre?: number;  //  企业类型: 1 企业、2 资金方、3 物流企业 etc. 
    registered_at?: string;  //  注册时间 
    authorized_at?: string;  //  认证时间 
    status?: number;  //  认证状态: 1 已注册、2 已认证 
    relation_genre?: number;  //  关联关系类型: 1分销企业、2 供货企业 3 直营企业 4  直营个人 
    relation_status?: number;  //  关联关系状态: 1 正常（表示关系可用）、2 已停用（表示关系不可用） 
    contact_name?: string;  //  联系人 
    contact_phone?: string;  //  联系电话 
    contact_address?: string;  //  联系地址(补充地址) 
    province_identity?: string;  // 省级identity 
    city_identity?: string;  //  市级identity 
    district_identity?: string;  //  区级identity 
    login_message?: LoginMessage; 
}

 //  登录关联信息 
export interface LoginMessage {
    account?: string;  //  登录账号 
    password?: string;  //  登录密码 
    password_confirmed?: string;  //  确认密码密码,仅注册/修改需要 
    phone?: string; 
    verify_code?: string; 
    name?: string; 
}


export interface CompanyStatisticsData {
    total?: number;  //  总的企业数 
    available?: number;  //  可用的企业数 
    disable?: number;  //  停用企业数 
}


export interface DeliveryAddressListRequest {
    page_no?: number;  //  页数 
    page_size?: number;  //  每页记录数 
    contact_name?: string; 
    contact_phone?: string; 
}


export interface DeliveryAddressListReply {
    list?: DeliveryAddressItem[]; 
    count?: number; 
}


export interface DeliveryAddressItem {
    identity?: string; 
    contact_name?: string;  //  联系人 
    contact_phone?: string;  //  联系电话 
    contact_address?: string;  //  联系地址(补充地址) 
    province_identity?: string;  // 省级identity 
    city_identity?: string;  //  市级identity 
    district_identity?: string;  //  区级identity 
    is_default?: boolean; 
    created_at?: string; 
}


export interface CollectionInformationItem {
    company_identity?: string; 
    card_no?: string; 
    deposit_bank?: string; 
    payment_line?: string; 
    remark?: string; 
}


export interface RoleRequest {
    company_identity?: string[];  //  企业identity,如果不传具体的identity就查询所有的 
}


export interface RoleReply {
    kv?: { [key in string]: any};  //  key:company_identity 
}


export interface RoleList {
    list?: RoleItem[]; 
}


export interface RoleItem {
    id?: number; 
    identity?: string; 
    name?: string; 
    company_identity?: string; 
    created_at?: string; 
}


export interface SetAccountRequest {
    account?: string; 
    password?: string; 
    password_conformed?: string; 
}


export interface SetProfileRequest {
    name?: string; 
    phone?: string; 
    verify_code?: string; 
    email?: string; 
    profile?: string; 
}


export interface StaffCompanyChangeStatusRequest {
    staff_identity?: string; 
    status?: number; 
}


export interface StaffCompanyChangeRoleRequest {
    staff_identity?: string; 
    genre?: number; 
}


export interface StaffListRequest {
    page_no?: number;  //  页数 
    page_size?: number;  //  每页记录数 
    staff_name?: string; 
    company_name?: string; 
    status?: number; 
    registered_start_at?: string;  //  注册时间-开始,格式:2006-01-02 15:04:05 
    registered_end_at?: string;  //  注册时间-结束格式:2006-01-02 15:04:05 
    with_statistics?: boolean;  //  是否需要查询统计信息 
    staff_identity?: string; 
}


export interface StaffListReply {
    list?: StaffItem[]; 
    count?: number; 
    statistics?: StaffStatisticsData; 
}


export interface StaffItem {
    id?: number; 
    identity?: string; 
    name?: string; 
    account?: string; 
    profile?: string; 
    password?: string; 
    phone?: string; 
    email?: string; 
    status?: number; 
    creator_identity?: string; 
    created_at?: string; 
    staff_company?: StaffCompanyItem[];  //  关联企业信息 
    password_confirmed?: string;  //  确认密码密码,仅注册/修改需要 
    verify_code?: string;  //  创建时需要内容  短线验证码 
    company_genre?: number;  //  角色 
}


export interface StaffStatisticsData {
    total?: number;  //  总的 
    available?: number;  //  可用的 
    disable?: number;  //  停用 
}


export interface StaffCompanyRequest {
    list?: StaffCompanyItem[]; 
    staff_identity?: string;  // 管理端请求需要校验这个参数 
}


export interface StaffCompanyItem {
    company_identity?: string; 
    genre?: number; 
    status?: number; 
    company_name?: string;  //  显示用 
}