
import request from "../../request";
import { AxiosPromise } from "axios";
import { BindRequest,StatusReply,Empty,GetDataReply,SetDataRequest,SetPasswordRequest,StatisticsRequest,StatisticsReply } from "./types";



 //  绑定资料 
export function Bind(data: BindRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/passport.Info.Bind",
      method: "post",
      data: data,
	});
}


 //  获取会员的所有信息数据 
export function GetData(data: Empty): AxiosPromise<GetDataReply> {
    return request({
      url: "/passport.Info.GetData",
      method: "post",
      data: data,
	});
}


 //  更新会员的信息数据 字段值为空或是0，将不更新此数据 
export function SetData(data: SetDataRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/passport.Info.SetData",
      method: "post",
      data: data,
	});
}


 //  更新会员的密码 
export function SetPassword(data: SetPasswordRequest): AxiosPromise<StatusReply> {
    return request({
      url: "/passport.Info.SetPassword",
      method: "post",
      data: data,
	});
}


 //  获取会员的相关统计数据 
export function Statistics(data: StatisticsRequest): AxiosPromise<StatisticsReply> {
    return request({
      url: "/passport.Info.Statistics",
      method: "post",
      data: data,
	});
}
