
import request from "../../request";
import { AxiosPromise } from "axios";
import { LoginByPwdRequest,LoginReply,LoginByCodeRequest,WeChatByCodeRequest,WeChatByCodeReply,WeChatByPhoneRequest,WeChatByPhoneReply,WeChatGetUserinfoReply,LoginByAppleIDRequest } from "./types";



 //  通过密码登录 
export function Pwd(data: LoginByPwdRequest): AxiosPromise<LoginReply> {
    return request({
      url: "/passport.Login.Pwd",
      method: "post",
      data: data,
	});
}


 //  通过验证码登录 
export function Code(data: LoginByCodeRequest): AxiosPromise<LoginReply> {
    return request({
      url: "/passport.Login.Code",
      method: "post",
      data: data,
	});
}


 //  通过Wechat登录 
export function WeChatByCode(data: WeChatByCodeRequest): AxiosPromise<WeChatByCodeReply> {
    return request({
      url: "/passport.Login.WeChatByCode",
      method: "post",
      data: data,
	});
}



export function WeChatByPhone(data: WeChatByPhoneRequest): AxiosPromise<WeChatByPhoneReply> {
    return request({
      url: "/passport.Login.WeChatByPhone",
      method: "post",
      data: data,
	});
}



export function WeChatGetUserinfo(data: WeChatByPhoneRequest): AxiosPromise<WeChatGetUserinfoReply> {
    return request({
      url: "/passport.Login.WeChatGetUserinfo",
      method: "post",
      data: data,
	});
}


 //  通过AppleID登录 
export function AppleID(data: LoginByAppleIDRequest): AxiosPromise<LoginReply> {
    return request({
      url: "/passport.Login.AppleID",
      method: "post",
      data: data,
	});
}


 //  通过验证码登录并注册 
export function CodeAndRegister(data: LoginByCodeRequest): AxiosPromise<LoginReply> {
    return request({
      url: "/passport.Login.CodeAndRegister",
      method: "post",
      data: data,
	});
}
